Dokumentacja AlgoJudge0.1
REST reference

Trials

Ta strona jest po angielsku

Polskie tłumaczenie obejmuje sekcje Instalacja i utrzymanie i Korzystanie z AlgoJudge. Pozostałe sekcje są materiałem technicznym i pozostają po angielsku.
POST/trials

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/trials" \  -H "Content-Type: application/json" \  -d '{    "problemType": "string",    "packageFileId": "ebf2e86f-ebbd-401c-9131-463c0fb8473f"  }'
{  "id": "string",  "activityId": "string",  "state": "string",  "problemType": "string",  "createdAt": "string",  "finishedAt": "string",  "failureReason": "string",  "measurement": "string",  "hasPackage": true}
GET/trials/{trialId}

Path Parameters

trialId*string
Formatuuid

Response Body

curl -X GET "https://example.com/trials/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "id": "string",  "activityId": "string",  "state": "string",  "problemType": "string",  "createdAt": "string",  "finishedAt": "string",  "failureReason": "string",  "measurement": "string",  "hasPackage": true}